Subject: Re: Objc and DLLs
From: [email-masked] (Ronald Pijnacker)

8 Jun 1998 10:24:08 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Robert Munro)
Cc: [email-masked] (cygwin)

> Hi all, I have been trying to create an objective C dll using cygwin B19
> and egcs 1.0.2 and here's the problem.  After many attempts, the library
> finally links (apparently okay) and I create a library for it.  I try to
> compile a test prog against the library and it compiles just fine.  I call
> a function, no problem.  However when I get to the line :
> 
> thisObject = [[myObject alloc] init];
> 
> it blows up.  I get a STATUS_ACCESS_VIOLATIOn exception and then it exits.
> Dunno what's going on here at all, so maybe you guys could help me out.
> Running with GDB, I get this when it crashes:
> 
> --start debug
....
> --end of debug 
> 
> Thanks for any help you guys could give...

Hi,

I have been trying to do the same thing some time ago, also without
luck. Just as you have, I have been able to create a .dll (with the
corresponding .a file for linking). Running a simple test program did
not crash in my case, but the classes that were defined in the .dll
were not available, as I got the message:

objc runtime: cannot find class X

Have you also had this problem?

Ronald Pijnacker
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".